de.esprit.appsuite.database.dbase.cred

## Class CredentialDerby

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.Credential
      - - de.esprit.appsuite.database.dbase.cred.CredentialDerby

- All Implemented Interfaces:
    Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    CredentialDerbyEmb, CredentialDerbyNet

      public abstract class CredentialDerby
      extends Credential

  This is a sample credential for a Derby database system.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.Credential

      `connUrl, connUrlKey, credentialDocType, dbPassword, dbPasswordKey, dbSchema, dbSchemaKey, dbUser, dbUserKey, DEFAULT_DATABASE_PATH, DERBY_SYSTEM_HOME, jdbcDriver, jdbcDriverKey, loginTimeout, loginTimeoutKey, maxConns, maxConnsKey, minConns, minConnsKey, systemPropsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialDerby(java.lang.String jdbcDriver, java.lang.String connUrl, java.lang.String dbUser, java.lang.String dbPassword)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `encodeUrl(java.lang.String basePath, java.lang.String dbName, boolean doCreate)`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.Credential

      `clear, getConnectionUrl, getCredFile, getDatabaseName, getDefaultSystemProperties, getDefaultSystemProperty, getJdbcDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUser, initDefaultSystemProperties, isValid, putDefaultSystemProperty, read, readCommandLineParams, setConnectionUrl, setCredFile, setJdbcDriver, setLoginTimeout, setMaxConns, setMinConns, setPassword, setSchema, setUser, setValues, toDumpString, toString, validate, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialDerby

          public CredentialDerby(java.lang.String jdbcDriver,
                         java.lang.String connUrl,
                         java.lang.String dbUser,
                         java.lang.String dbPassword)

  - ### Method Detail

    - #### encodeUrl

          protected static java.lang.String encodeUrl(java.lang.String basePath,
                                   java.lang.String dbName,
                                   boolean doCreate)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.